<?xml version="1.0"?>
<doc>
    <assembly>
        <name>API.Institute</name>
    </assembly>
    <members>
        <member name="T:OnlineAssessment.SwaggerConfigureOptions">
            <summary>
            Configures the Swagger generation options.
            </summary>
            <remarks>This allows API versioning to define a Swagger document per API version after the
            <see cref="T:Microsoft.AspNetCore.Mvc.ApiExplorer.IApiVersionDescriptionProvider"/> service has been resolved from the service container.</remarks>
        </member>
        <member name="M:OnlineAssessment.SwaggerConfigureOptions.#ctor(Microsoft.AspNetCore.Mvc.ApiExplorer.IApiVersionDescriptionProvider)">
            <summary>
            Initializes a new instance of the <see cref="T:OnlineAssessment.SwaggerConfigureOptions"/> class.
            </summary>
            <param name="provider">The <see cref="T:Microsoft.AspNetCore.Mvc.ApiExplorer.IApiVersionDescriptionProvider">provider</see> used to generate Swagger documents.</param>
        </member>
        <member name="M:OnlineAssessment.SwaggerConfigureOptions.Configure(Swashbuckle.AspNetCore.SwaggerGen.SwaggerGenOptions)">
            <inheritdoc />
        </member>
        <member name="T:OnlineAssessment.SwaggerDefaultValues">
            <summary>
            Represents the Swagger/Swashbuckle operation filter used to document the implicit API version parameter.
            </summary>
            <remarks>This <see cref="T:Swashbuckle.AspNetCore.SwaggerGen.IOperationFilter"/> is only required due to bugs in the <see cref="T:Swashbuckle.AspNetCore.SwaggerGen.SwaggerGenerator"/>.
            Once they are fixed and published, this class can be removed.</remarks>
        </member>
        <member name="M:OnlineAssessment.SwaggerDefaultValues.Apply(Microsoft.OpenApi.Models.OpenApiOperation,Swashbuckle.AspNetCore.SwaggerGen.OperationFilterContext)">
            <summary>
            Applies the filter to the specified operation using the given context.
            </summary>
            <param name="operation">The operation to apply the filter to.</param>
            <param name="context">The current operation filter context.</param>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.AddNewExam(System.String,System.Int32,OnlineAssessment.Domain.ViewModels.ExamAddModel)">
            <summary>
            Add new exam 
            </summary>
            <param name="language"></param>
            <param name="class_id"></param>
            <param name="newExam"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetExamByID(System.Int32)">
            <summary>
            Get exam details 
            </summary>
            <param name="exam_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetUpcomingExamsOfTheClass(System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all exams 
            </summary>
            <param name="class_id"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetLiveExamsOfTheClass(System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all exams 
            </summary>
            <param name="class_id"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetHistoryExamsOfTheClass(System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all exams 
            </summary>
            <param name="class_id"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetDraftExamsOfTheClass(System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all exams 
            </summary>
            <param name="class_id"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetMyExams(System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get exam of an user
            </summary>
            <param name="class_id"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <param name="pageNumber"></param>
            <param name="pageSize"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.UpdateExamOfTheInstitute(System.Int32,OnlineAssessment.Domain.ViewModels.ExamEditModel)">
            <summary>
            Update an exam
            </summary>
            <param name="exam_id"></param>
            <param name="theExam"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.DeleteExamOfTheInstitute(System.Int32)">
            <summary>
            Delete an exam 
            </summary>
            <param name="exam_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.AddNewExamSections(System.Int32,OnlineAssessment.Domain.ViewModels.IntegerSectionList)">
            <summary>
            Add new exam section
            </summary>
            <param name="exam_id"></param>
            <param name="sectionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.ReorderExamSectionOfTheExam(System.Int32,OnlineAssessment.Domain.ViewModels.ExamSectionsList)">
            <summary>
            Arrange sections of an given exam
            </summary>
            <param name="exam_id"></param>
            <param name="examSectionList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.DeleteExamSectionOfTheInstitute(System.Int32)">
            <summary>
            Delete an exam section
            </summary>
            <param name="exam_section_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.AttachQuestionsToExamSections(System.Int32,OnlineAssessment.Domain.ViewModels.QuestionsList)">
            <summary>
            Attach Questions To Exam Sections
            </summary>
            <param name="exam_section_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.DetachExamSectionFromQuestions(System.Int32,OnlineAssessment.Domain.ViewModels.QuestionsList)">
            <summary>
            Detach Questions from Exam Section
            </summary>
            <param name="exam_section_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetQuestionsOfTheExamSection(System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all questions
            </summary>
            <param name="exam_section_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.AssignMarksToExamSectionQuestions(System.Int32,OnlineAssessment.Domain.ViewModels.QuestionMarksList)">
            <summary>
            Mark Questions OfTheExamSection
            </summary>
            <param name="exam_section_id"></param>
            <param name="questionList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.PublishExam(System.String,System.Int32,OnlineAssessment.Domain.ViewModels.ExamPublishModel)">
            <summary>
            Publish Exam  
            </summary>
            <param name="language"></param>
            <param name="exam_id"></param>
            <param name="scheduleExam"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.AttachBatchToTheExam(System.Int32,OnlineAssessment.Domain.ViewModels.UserGroupsList)">
            <summary>
            Attach usergroups to Exam  
            </summary>
            <param name="exam_id"></param>
            <param name="batchList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.DetachBatchToTheExam(System.Int32,OnlineAssessment.Domain.ViewModels.UserGroupsList)">
            <summary>
            Detach usergroups to Exam  
            </summary>
            <param name="exam_id"></param>
            <param name="batchList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.GetBatchListOfTheExam(System.Int32)">
            <summary>
            Get usergroups attached to Exam  
            </summary>
            <param name="exam_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.ExamsController.StopExam(System.Int32)">
            <summary>
            Stop Exam
            </summary>
            <param name="exam_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.Get(System.Int32)">
            <summary>
            Get the detail of a institute
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetSubscriptions(System.Nullable{System.Boolean})">
            <summary>
            Get the subscriptions of an institute
            </summary>
            <param name="isActive"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetTheme">
            <summary>
            Get the theme of an institute
            </summary>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.UpdateTheme(System.String)">
            <summary>
            Update the theme of an institute
            </summary>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetClassesStructure(System.Int32)">
            <summary>
            Get class structure 
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetClassesOfTheInstitution(System.String,System.String)">
            <summary>
            Get list of active classes (for the user's institution)
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetClassById(System.Int32)">
            <summary>
            Get detail of a specific class of the Institution
            </summary>
            <param name="class_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.AddClassToTheInstitute(OnlineAssessment.Domain.ViewModels.ClassAddModel)">
            <summary>
            Add a new class of the Institution
            </summary>
            <param name="language"></param>
            <param name="newClass"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.UpdateClassOfTheInstitute(System.Int32,OnlineAssessment.Domain.ViewModels.ClassEditModel)">
            <summary>
            Update the class of an institute
            </summary>
            <param name="class_id"></param>
            <param name="theClass"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.DeleteClassOfTheInstitute(System.Int32)">
            <summary>
            Delete the class of an institute
            </summary>
            <param name="class_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetAllSubjectsOfTheClass(System.Int32,System.Int32,System.String,System.String)">
            <summary>
            Get subjects of a given class of the institution
            </summary>
            <param name="class_id"></param>
            <param name="subject_id"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.AddSubjectOfTheClass(System.Int32,OnlineAssessment.Domain.ViewModels.SubjectAddModel)">
            <summary>
            Add a new subject of a class
            </summary>
            <param name="class_id"></param>
            <param name="newSubject"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.UpdateSubjectOfTheInstitute(System.Int32,OnlineAssessment.Domain.ViewModels.SubjectEditModel)">
            <summary>
            Update subject
            </summary>
            <param name="subject_id"></param>
            <param name="theSubject"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.DeleteSubjectOfTheClass(System.Int32)">
            <summary>
            Delete Subject 
            </summary>
            <param name="subject_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetCategoriesOfTheSubject(System.Int32,System.Int32,System.String,System.String)">
            <summary>
            Get active categories of a active subject
            </summary>
            <param name="subject_id"></param>
            <param name="category_id"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.AddCategoryOfTheSubject(System.Int32,OnlineAssessment.Domain.ViewModels.CategoryAddModel)">
            <summary>
            Create new category
            </summary>
            <param name="newCategory"></param>
            <param name="subject_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.UpdateCategoryByID(System.Int32,OnlineAssessment.Domain.ViewModels.CategoryEditModel)">
            <summary>
            Update Category (Logic) - category id should be from same institute, category should be active 
            </summary>
            <param name="category_id"></param>
            <param name="theCategory"></param>
            <returns></returns>
        </member>
        <!-- Badly formed XML comment ignored for member "M:OnlineAssessment.V1.Controllers.InstitutesController.DeleteCategoryByID(System.Int32)" -->
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetAllTagsOfTheInstitution(System.String,System.String)">
            <summary>
            Get all tags
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetTagOfTheInstitution(System.Int32)">
            <summary>
            Get tag details
            </summary>
            <param name="tag_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.AddTagOfClassOfTheInstitute(OnlineAssessment.Domain.ViewModels.TagAddModel)">
            <summary>
            Add new tag
            </summary>
            <param name="newTag"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.UpdateTagOfTheInstitute(System.Int32,OnlineAssessment.Domain.ViewModels.TagEditModel)">
            <summary>
            Edit a tag
            </summary>
            <param name="tag_id"></param>
            <param name="tag"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.DeleteTagOfTheInstitute(System.Int32)">
            <summary>
            Delete a tag
            </summary>
            <param name="tag_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.InstitutesController.GetUserOfTheInstitution(System.String,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get the users of an institute
            </summary>
            <param name="role"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.AddNewPractice(System.String,System.Int32,OnlineAssessment.Domain.ViewModels.PracticeAddModel)">
            <summary>
            Add new practice
            </summary>
            <param name="language"></param>
            <param name="class_id"></param>
            <param name="newPractice"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.DeletePracticeOfTheInstitute(System.Int32)">
            <summary>
            Delete a practice 
            </summary>
            <param name="practice_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetPracticeByID(System.Int32)">
            <summary>
            Get Practice details 
            </summary>
            <param name="practice_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetUpcomingSubjectPractices(System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all upcoming practices of the subject
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetUpcomingCategoryPractices(System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all upcoming practices of the category
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetLiveSubjectPractices(System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all Live practices 
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetLiveCategoryPractices(System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all Live practices 
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetDraftSubjectPractices(System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all draft practices 
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetDraftCategoryPractices(System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all draft practices 
            </summary>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.AttachQuestionsToPractice(System.Int32,OnlineAssessment.Domain.ViewModels.QuestionsList)">
            <summary>
            Attach Questions To Practices
            </summary>
            <param name="practice_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.DetachQuestionsFromPractice(System.Int32,OnlineAssessment.Domain.ViewModels.QuestionsList)">
            <summary>
            Detach Questions from Practice
            </summary>
            <param name="practice_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.GetQuestionsOfThePractice(System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all questions
            </summary>
            <param name="practice_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.AssignDurationToPracticeQuestions(System.Int32,OnlineAssessment.Domain.ViewModels.QuestionDurationList)">
            <summary>
            Review Questions Of The Practice
            </summary>
            <param name="practice_id"></param>
            <param name="questionList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.PublishPractice(System.Int32,OnlineAssessment.Domain.ViewModels.PracticePublishModel)">
            <summary>
            Publish Practice  
            </summary>
            <param name="practice_id"></param>
            <param name="schedulePractice"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.PracticesController.AttachBatchToThePractice(System.Int32,OnlineAssessment.Domain.ViewModels.UserGroupsList)">
            <summary>
            Attach usergroups to Exam  
            </summary>
            <param name="practice_id"></param>
            <param name="batchList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.GetAllQuestionsOfTheClass(System.String,System.Int32,System.String,System.String,System.Int32,System.Int32,System.Int32,System.String,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all questions
            </summary>
            <param name="language"></param>
            <param name="class_id"></param>
            <param name="type"></param>
            <param name="module"></param>
            <param name="module_id"></param>
            <param name="complexity"></param>
            <param name="author_id"></param>
            <param name="tranlation_missing"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <param name="pageNumber"></param>
            <param name="pageSize"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.GetAllDraftQuestionsOfTheClass(System.String,System.Int32,System.String,System.String,System.Int32,System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all draft questions
            </summary>
            <param name="language"></param>
            <param name="class_id"></param>
            <param name="type"></param>
            <param name="module"></param>
            <param name="module_id"></param>
            <param name="complexity"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <param name="pageNumber"></param>
            <param name="pageSize"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.GetAllBookmarkedQuestionsOfTheClass(System.String,System.Int32,System.String,System.String,System.Int32,System.Int32,System.String,System.String,System.Nullable{System.Int32},System.Nullable{System.Int32})">
            <summary>
            Get all draft questions
            </summary>
            <param name="language"></param>
            <param name="class_id"></param>
            <param name="type"></param>
            <param name="module"></param>
            <param name="module_id"></param>
            <param name="complexity"></param>
            <param name="sortBy"></param>
            <param name="sortOrder"></param>
            <param name="pageNumber"></param>
            <param name="pageSize"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.GetQuestions(System.String,System.Int32)">
            <summary>
            Get details of a question
            </summary>
            <param name="language"></param>
            <param name="question_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.AddQuestions(System.String,OnlineAssessment.Domain.ViewModels.QuestionAddModel)">
            <summary>
            Add new question
            </summary>
            <param name="language"></param>
            <param name="newQuestion"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.CloneQuestionLanguage(System.String,System.Int32,OnlineAssessment.Domain.ViewModels.QuestionCloneModel)">
            <summary>
            Add new question
            </summary>
            <param name="language"></param>
            <param name="newQuestion"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.BulkAddQuestions(System.String,OnlineAssessment.Domain.ViewModels.QuestionBulkAddModel)">
            <summary>
            Add new question
            </summary>
            <param name="language"></param>
            <param name="newQuestion"></param>
            <returns></returns>
        </member>
        <!-- Badly formed XML comment ignored for member "M:OnlineAssessment.V1.Controllers.QuestionsController.UpdateQuestionOfTheInstitute(System.String,System.Int32,OnlineAssessment.Domain.ViewModels.QuestionEditModel)" -->
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.DeleteQuestionOfTheInstitute(System.Int32)">
            <summary>
            Delete a question
            </summary>
            <param name="question_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.DeleteQuestions(System.String,OnlineAssessment.Domain.ViewModels.IntegerList)">
            <summary>
            Delete question list
            </summary>
            <param name="language"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.PublishQuestions(System.String,OnlineAssessment.Domain.ViewModels.IntegerList)">
            <summary>
            Publish Questions
            </summary>
            <param name="language"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.AttachSubcategoryToQuestions(System.String,System.Int32,OnlineAssessment.Domain.ViewModels.IntegerList)">
            <summary>
            Attach Category To Questions
            </summary>
            <param name="language"></param>
            <param name="category_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.DetachcategoryFromQuestions(System.Int32,OnlineAssessment.Domain.ViewModels.IntegerList)">
            <summary>
            Detach Subcategory From Questions
            </summary>
            <param name="category_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.AttachTagsToQuestions(System.Int32,OnlineAssessment.Domain.ViewModels.IntegerList)">
            <summary>
            Attach Tags To Questions
            </summary>
            <param name="tag_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.DetachTagFromQuestions(System.Int32,OnlineAssessment.Domain.ViewModels.IntegerList)">
            <summary>
            Detach Tag From Questions
            </summary>
            <param name="tag_id"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.QuestionsController.AttachBookmarkToQuestions(System.String,OnlineAssessment.Domain.ViewModels.BookmarkList)">
            <summary>
            Attach Bookmark To Questions
            </summary>
            <param name="language"></param>
            <param name="questionIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.GetAllUserGroupsOfTheClass(System.Int32,System.String,System.String)">
            <summary>
            Get list of all User Groups of a class
            </summary>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.GetAllUserGroups(System.String,System.String)">
            <summary>
            Get list of all User Groups of the institute
            </summary>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.Get">
            <summary>
            Get the list of User Groups of a user
            </summary>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.Get(System.Int32)">
            <summary>
            Get the detail of a User Group
            </summary>
            <param name="user_group_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.AddUserGroup(System.Int32,OnlineAssessment.Domain.ViewModels.UserGroupAddModel)">
            <summary>
            Add a new User Group
            </summary>
            <param name="class_id"></param>
            <param name="usergroup"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.UpdateUserGroupOfTheInstitute(System.Int32,OnlineAssessment.Domain.ViewModels.UserGroupEditModel)">
             <summary>
             Update a new User Group
             </summary>
            <param name="user_group_id"></param>
             <param name="usergroup"></param>
             <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.GetUsersOfUserGroup(System.Int32)">
            <summary>
            Get users of user group
            </summary>
            <param name="user_group_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.DeleteUserGroup(System.Int32)">
            <summary>
            Get users of user group
            </summary>
            <param name="user_group_id"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.AttachUsersToUserGroup(System.Int32,OnlineAssessment.Domain.ViewModels.UserIdList)">
            <summary>
            Attch users to the user group
            </summary>
            <param name="user_group_id"></param>
            <param name="userIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V1.Controllers.UserGroupsController.DetachUsersToUserGroup(System.Int32,OnlineAssessment.Domain.ViewModels.UserIdList)">
            <summary>
            Attch users to the user group
            </summary>
            <param name="user_group_id"></param>
            <param name="userIdList"></param>
            <returns></returns>
        </member>
        <member name="M:OnlineAssessment.V2.Controllers.BaseController`2.Get(System.Int32)">
            <summary>
            Get a specific record by id
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
    </members>
</doc>
